
!WAUrl class methodsFor: '*Seaside28ConfigurableLibraries-libraries' stamp: 'kph 8/23/2007 16:28'!
fromString: a

	| url | 
	
	url := Url absoluteFromText: a.
	
	^ (self new)
			scheme: url scheme;
			hostname: url authority;
			port: url port;
			path: url path;
			yourself
			 
		! !

!WALibrary class methodsFor: '*Seaside28ConfigurableLibraries-resolving' stamp: 'kph 7/19/2007 20:29'!
libraryAt: aLibraryName

	^ self libraryName = aLibraryName   
		ifTrue: [ self default ] 
		ifFalse: [ nil ]! !

!WALibrary class methodsFor: '*Seaside28ConfigurableLibraries-resolving' stamp: 'kph 9/7/2007 15:25'!
libraryName

	^ self name asString! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries' stamp: 'topa 02/08/2010 11:44'!
baseUrl
	"Answers the base URL for the receiver library.
	NOTE: it answers a default unless there is a configured one."

	^  self baseUrlPreference! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries' stamp: 'kph 9/28/2007 03:19'!
baseUrlDefault

	^ WAFileHandler default baseUrl! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries' stamp: 'topa 02/08/2010 11:54'!
baseUrlPreference
	"Answers the base URL for the receiver library.
	NOTE: it answers a default unless there is a configured one."

	^  [ :url| url isEmptyOrNil 
		ifTrue: [self baseUrlDefault ]
		ifFalse:[WAUrl fromString: url]
	] value: (WACurrentSession value application preferenceAt: #resourceBaseUrl)	! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries-accessing' stamp: 'kph 7/12/2007 10:57'!
libraryName

	^ self class libraryName! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries-processing-override' stamp: 'sas 8/23/2007 14:44'!
urlForFile: aFilename

	^ self urlForFile: aFilename using: self baseUrl! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries-accessing' stamp: 'kph 8/3/2007 08:52'!
urlForFile: aFilename using: baseUrl
	^ baseUrl 
		addToPath: self libraryName;
		addToPath: aFilename;
		yourself! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries-processing-override' stamp: 'kph 8/3/2007 08:53'!
urlOf: aSymbol

	"the filename form is cannonical"
	^ self urlForFile: (self asFilename: aSymbol) using: self baseUrl! !

!WALibrary methodsFor: '*Seaside28ConfigurableLibraries-libraries-processing-override' stamp: 'kph 8/3/2007 08:52'!
urlOf: aSymbol using: baseUrl
	^ baseUrl
		addToPath: self libraryName;
		addToPath: (self asFilename: aSymbol);
		yourself! !
